import { Repository } from './repository';
import { TaskSummaryResponse } from '../../domain/models/tasks/TaskSummaryResponse.interface';
import { TaskScheduleCountResponse } from '../../domain/models/tasks/TaskScheduleCountResponse.interface';
import { TaskResponse } from '../../domain/models/tasks/TaskResponse.interface';
import { Response } from '../../domain/models/Response.interface';
import { ScheduleType } from '../../domain/models/tasks/enums/ScheduleType.enum';
export declare class TaskRepository extends Repository {
    constructor();
    addTask(attributes: [], task_type: string): Promise<TaskResponse>;
    getSummary(task_type: string): Promise<TaskSummaryResponse>;
    deleteTask(task_id: string, task_type: string): Promise<Response>;
    getTask(task_id: string, task_type: string): Promise<TaskResponse>;
    updateTask(idTask: string, task_type: string, attributes: any): Promise<Response>;
    validateNewExtractTask(attributes: any): Promise<Response>;
    addSchedule(scheduleType: ScheduleType, attributes: any): Promise<Response>;
    getScheduleByTask(idTask: string): Promise<any>;
    updateSchedule(scheduleId: String, scheduleType: ScheduleType, attributes: any): Promise<Response>;
    getCountScheduleTask(): Promise<TaskScheduleCountResponse>;
    getScheduleTaskList(): Promise<TaskSummaryResponse>;
}
